Bug 471708 - dvgrab - Segmentation fault
dvgrab - Segmentation fault
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dvgrab (Show other bugs)
11
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 21:19 EST by Paulo Monteiro
Modified: 2017-07-24 11:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 13808 None None None Never

  None (edit)
Description Paulo Monteiro 2008-11-14 21:19:03 EST
Description of problem:

When performing a:
dvgrab -f dv2 -debug all

The result is a segmentation  fault

Version-Release number of selected component (if applicable):
dvgrab 3.2

How reproducible:

Steps to Reproduce:
1. dvgrab -f dv2 -debug all
Found AV/C device with GUID 0x0800460103272510

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.
Capture Started

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode 19:81:09.03 date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode 38:05:22.21 date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.

"": buffer underrun near: timecode ??:??:??.?? date ????.??.?? ??:??:??
This error means that the frames could not be written fast enough.
Segmentation fault


Additional info:
/sbin/lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation G72M [GeForce Go 7400] (rev a1)
03:01.0 CardBus bridge: O2 Micro, Inc. Cardbus bridge (rev 21)
03:01.4 FireWire (IEEE 1394): O2 Micro, Inc. Firewire (IEEE 1394) (rev 02)
09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
Comment 1 Stefan Richter 2008-12-09 15:05:11 EST
Jarod, have there been updates to dvgrab/ libiec61883/ libraw1394 which Paulo should try?
Comment 2 Jarod Wilson 2008-12-10 17:38:19 EST
Hm... We do have a new libraw1394 that should be making its way out into the updates channel Real Soon Now, which does carry a number of fixes. Nothing specifically targeted at this, but possibly of help.
Comment 3 Paulo Monteiro 2008-12-18 19:35:29 EST
When will this new version be available?
Comment 4 Jarod Wilson 2008-12-19 09:23:45 EST
Its already in the updates repo.
Comment 5 Jarod Wilson 2009-04-15 16:39:53 EDT
Any word on whether this can be reproduced with all the latest bits?
Comment 6 Paul Johnson 2009-06-05 15:14:33 EDT
I'm seeing this too.  The video it captures is jerky and messed up, which ties in with the buffer underrun messages.

I tried running dvgrab as root in case the problem was with real-time scheduling.  My machine locked up, which suggests a problem at the driver or dma level.

Version information:
dvgrab 3.2
libraw1394-2.0.1-1.fc10.x86_64

Fedora 10 64 bit.  Running on an Intel quad Core 2 with 6GB RAM.

00:00.0 Host bridge: Intel Corporation 4 Series Chipset DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation 4 Series Chipset PCI Express Root Port (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4
00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5
00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6
00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2
00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 1
00:1c.4 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 5
00:1c.5 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 6
00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1
00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2
00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3
00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
00:1f.2 IDE interface: Intel Corporation 82801JI (ICH10 Family) 4 port SATA IDE Controller
00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
00:1f.5 IDE interface: Intel Corporation 82801JI (ICH10 Family) 2 port SATA IDE Controller
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
05:06.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
05:07.0 IDE interface: Integrated Technology Express, Inc. IT8213 IDE Controller
Comment 7 Bug Zapper 2009-06-09 23:16:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jarod Wilson 2009-06-10 15:22:38 EDT
Bringing bug forward to Fedora 10, since we've got a case of it there too.

We have dvgrab 3.4 in Fedora 11, not sure if there's anything that could possibly help here, but given the lockup in comment #6, I'm doubtful.
Comment 9 Paul Johnson 2009-07-19 08:24:26 EDT
I've got Fedora 11 installed.  I'm still seeing this problem.
Comment 10 Paul Johnson 2009-07-19 08:28:27 EDT
Further information: I'm running the x64 version on an Intel Quad Core 2 processor.  Here is my lspci output:

00:00.0 Host bridge: Intel Corporation 4 Series Chipset DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation 4 Series Chipset PCI Express Root Port (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4
00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5
00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6
00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2
00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 1
00:1c.4 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 5
00:1c.5 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 6
00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1
00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2
00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3
00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
00:1f.2 IDE interface: Intel Corporation 82801JI (ICH10 Family) 4 port SATA IDE Controller
00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
00:1f.5 IDE interface: Intel Corporation 82801JI (ICH10 Family) 2 port SATA IDE Controller
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
05:06.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
05:07.0 IDE interface: Integrated Technology Express, Inc. IT8213 IDE Controller
Comment 11 Paul Johnson 2009-07-22 04:12:52 EDT
I tried dvgrab on another PC running 32 bit Ubuntu.  The PC is a dual P4, but with the same TSV43AB23 FireWire chip.  It worked fine.

This suggests that the problem is specific to the 64 bit version.  Given its tendency to crash or hang the operating system I guess its in the driver.
Comment 12 Jarod Wilson 2009-09-17 09:36:27 EDT
(In reply to comment #11)
> I tried dvgrab on another PC running 32 bit Ubuntu.  The PC is a dual P4, but
> with the same TSV43AB23 FireWire chip.  It worked fine.
> 
> This suggests that the problem is specific to the 64 bit version.  Given its
> tendency to crash or hang the operating system I guess its in the driver.  

Ubuntu uses the old ohci1394 driver stack, not the firewire driver stack, so this really doesn't say anything about 64-bit vs. 32-bit, but might suggest the firewire driver is ultimately at fault here.
Comment 13 Stefan Richter 2009-12-30 06:41:24 EST
I just commented at the upstream bug but then I remembered that this might have been the better place.  I wrote:

>>>>
Sorry for catching up on this so late.

Would you be able to rebuild the Fedora kernel from source, and before that,
patch it or edit the source code?  We have a patch pending for mainline kernel
2.6.33-rc* which may get you rid of the crash as a side effect:
http://git.kernel.org/?p=linux/kernel/git/ieee1394/linux1394-2.6.git;a=patch;h=090699c0530ae5380a9b8511d76f656cc437bb6e

In somewhat older kernels, the affected source file is named
drivers/firewire/fw-ohci.c instead of drivers/firewire/ohci.c and the
surrounding code may differ.  In any case, just remove the line
        ohci->use_dualbuffer = version >= OHCI_VERSION_1_1;
which is unique in the driver source.

There is a guide how to customize Fedora kernels:
http://fedoraproject.org/wiki/Building_a_custom_kernel
<<<<

PS:
If rebuilding the modified kernel is an issue, maybe the Fedora kernel developers could be persuaded to put a respective kernel into koji.  Also, I will try to remember to comment here when the mentioned patch was merged into the mainline.
Comment 14 Stefan Richter 2009-12-31 05:46:40 EST
Sorry, I just noticed that Paulo Monteiro's problem is entirely different from Paul Johnson's problem.  The former is about a segfault in userspace, while the latter is about kernel crashes (see link to upstream bug).

Paul, in addition to my questions from comment 13:  Do you get those crashes also when you run dvgrab with -noavc option?
Comment 15 Stefan Richter 2010-01-24 14:33:36 EST
Re comment 13:
Paul, a respectively changed kernel should now be available in the Rawhide repository.  Please try installing such a kernel; it should be a 2.6.33 pre-release version.  I believe the necessary command is
# yum --enablerepo=rawhide install kernel
Comment 16 Stefan Richter 2010-01-26 15:46:58 EST
Proposed patch for Paul's (not Paulo's) issue: http://lkml.org/lkml/2010/1/26/284
Comment 17 Stefan Richter 2010-02-09 12:33:03 EST
Patch for Paul's issue was merged in 2.6.32.8.  Kernel 2.6.33 should have been immune already since 2.6.33-rc1.

Paulo's issue (the original report) may possibly be fixed in current Fedora.  Paulo, please retest if you still have the hardware.
Comment 18 Bug Zapper 2010-04-27 08:20:41 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-06-28 06:49:08 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.